### Method

# Adw Clamp set_unit

since: 1.4

#### Declaration [src]

    void
    adw_clamp_set_unit (
      AdwClamp* self,
      AdwLengthUnit unit
    )

#### Description [src]

Sets the length unit for maximum size and tightening threshold.

Allows the sizes to vary depending on the text scale factor.

Available since: 1.4

Sets property | `Adw.Clamp:unit`

#### Parameters

`unit`

  Type: `AdwLengthUnit`

  The length unit.